Index: trunk/sources/HeuristicLab 3.3 Services.sln
===================================================================
--- trunk/sources/HeuristicLab 3.3 Services.sln	(revision 4300)
+++ trunk/sources/HeuristicLab 3.3 Services.sln	(revision 4306)
@@ -23,10 +23,14 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB.AttributeSelection-3.3", "HeuristicLab.Services.OKB.AttributeSelection\3.3\HeuristicLab.Services.OKB.AttributeSelection-3.3.csproj", "{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB-3.3Lib", "HeuristicLab.Services.OKB\3.3\HeuristicLab.Services.OKB-3.3Lib.csproj", "{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
+		Debug|Mixed Platforms = Debug|Mixed Platforms
 		Debug|x64 = Debug|x64
 		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
+		Release|Mixed Platforms = Release|Mixed Platforms
 		Release|x64 = Release|x64
 		Release|x86 = Release|x86
@@ -35,4 +39,6 @@
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|x64.ActiveCfg = Debug|x64
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Debug|x64.Build.0 = Debug|x64
@@ -41,4 +47,6 @@
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|Mixed Platforms.Build.0 = Release|x64
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|x64.ActiveCfg = Release|x64
 		{30D8C5F1-CD3A-4EC1-907F-430177A03FBE}.Release|x64.Build.0 = Release|x64
@@ -47,4 +55,6 @@
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|x64.ActiveCfg = Debug|x64
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Debug|x64.Build.0 = Debug|x64
@@ -53,4 +63,6 @@
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|Mixed Platforms.Build.0 = Release|x64
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|x64.ActiveCfg = Release|x64
 		{EBEBA863-DD05-4331-BE25-5758B15F7407}.Release|x64.Build.0 = Release|x64
@@ -59,4 +71,6 @@
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|x64.ActiveCfg = Debug|x64
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Debug|x64.Build.0 = Debug|x64
@@ -65,4 +79,6 @@
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|Any CPU.Build.0 = Release|Any CPU
+		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|Mixed Platforms.Build.0 = Release|x86
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|x64.ActiveCfg = Release|x64
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|x64.Build.0 = Release|x64
@@ -71,4 +87,6 @@
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|x64.ActiveCfg = Debug|x64
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Debug|x64.Build.0 = Debug|x64
@@ -77,4 +95,6 @@
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|Mixed Platforms.Build.0 = Release|x86
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|x64.ActiveCfg = Release|x64
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|x64.Build.0 = Release|x64
@@ -83,4 +103,6 @@
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x64.ActiveCfg = Debug|x64
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x64.Build.0 = Debug|x64
@@ -89,4 +111,6 @@
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Mixed Platforms.Build.0 = Release|x86
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x64.ActiveCfg = Release|x64
 		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x64.Build.0 = Release|x64
@@ -95,4 +119,6 @@
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x64.ActiveCfg = Debug|x64
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x64.Build.0 = Debug|x64
@@ -101,4 +127,6 @@
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Mixed Platforms.Build.0 = Release|x86
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x64.ActiveCfg = Release|x64
 		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x64.Build.0 = Release|x64
@@ -107,4 +135,6 @@
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|x64.ActiveCfg = Debug|x64
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|x64.Build.0 = Debug|x64
@@ -113,8 +143,22 @@
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|Mixed Platforms.Build.0 = Release|x86
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|x64.ActiveCfg = Release|x64
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|x64.Build.0 = Release|x64
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|x86.ActiveCfg = Release|x86
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Release|x86.Build.0 = Release|x86
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|x64.ActiveCfg = Release|Any CPU
+		{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: trunk/sources/HeuristicLab.Services.OKB/3.3/Copy of App.config
===================================================================
--- trunk/sources/HeuristicLab.Services.OKB/3.3/Copy of App.config	(revision 4306)
+++ trunk/sources/HeuristicLab.Services.OKB/3.3/Copy of App.config	(revision 4306)
@@ -0,0 +1,132 @@
+<?xml version="1.0"?>
+<configuration>
+  <connectionStrings>
+    <add name="HeuristicLab.Authentication"
+         connectionString="data source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
+    <add name="HeuristicLab.Services.OKB.DataAccess.Properties.Settings.OKBConnectionString"
+         connectionString="Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI"
+         providerName="System.Data.SqlClient" />
+  </connectionStrings>
+
+  <system.web>
+    <authentication mode="Forms" />
+    <compilation debug="true" targetFramework="4.0" />
+
+    <membership>
+      <providers>
+        <clear/>
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+             enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
+             maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10"
+             applicationName="HeuristicLab.Authentication" />
+      </providers>
+    </membership>
+
+    <roleManager enabled="true">
+      <providers>
+        <clear/>
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+      </providers>
+    </roleManager>
+  </system.web>
+
+  <system.serviceModel>
+    <bindings>
+      <netTcpBinding>
+        <binding name="LargeMessages" openTimeout="00:00:30" receiveTimeout="00:00:30" sendTimeout="00:00:30" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
+          <security mode="Message">
+            <message clientCredentialType="UserName"/>
+          </security>
+          <readerQuotas maxArrayLength="2147483647"/>
+          <reliableSession inactivityTimeout="00:00:30" enabled="false"/>
+        </binding>
+      </netTcpBinding>
+    </bindings>
+
+    <client/>
+
+    <behaviors>
+      <serviceBehaviors>
+        <behavior name="RunnerServiceBehaviour">
+          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/RunnerMex"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+        </behavior>
+        <behavior name="AdminServiceBehaviour">
+          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/AdminMex"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+        </behavior>
+        <behavior name="TableServiceBehaviour">
+          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/TableMex"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+        </behavior>
+        <behavior name="QueryServiceBehaviour">
+          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/QueryMex"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+        </behavior>
+        <behavior name="DataServiceBehaviour">
+          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/DataMex"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
+
+    <services>
+      <service behaviorConfiguration="RunnerServiceBehaviour" name="HeuristicLab.Services.OKB.RunnerService">
+        <endpoint address="http://localhost:8000/OKB/RunnerMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
+        <endpoint address="net.tcp://localhost:8001/OKB/RunnerService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IRunnerService">
+        </endpoint>
+      </service>
+      <service behaviorConfiguration="AdminServiceBehaviour" name="HeuristicLab.Services.OKB.AdminService">
+        <endpoint address="http://localhost:8000/OKB/AdminMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
+        <endpoint address="net.tcp://localhost:8001/OKB/AdminService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IAdminService"/>
+      </service>
+      <service behaviorConfiguration="TableServiceBehaviour" name="HeuristicLab.Services.OKB.TableService">
+        <endpoint address="http://localhost:8000/OKB/TableMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
+        <endpoint address="net.tcp://localhost:8001/OKB/TableService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.ITableService"/>
+      </service>
+      <service behaviorConfiguration="QueryServiceBehaviour" name="HeuristicLab.Services.OKB.QueryService">
+        <endpoint address="http://localhost:8000/OKB/QueryMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
+        <endpoint address="net.tcp://localhost:8001/OKB/QueryService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IQueryService"/>
+      </service>
+      <service behaviorConfiguration="DataServiceBehaviour" name="HeuristicLab.Services.OKB.DataService">
+        <endpoint address="http://localhost:8000/OKB/DataMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
+        <endpoint address="net.tcp://localhost:8001/OKB/DataService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IDataService"/>
+      </service>
+    </services>
+  </system.serviceModel>
+<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup></configuration>
Index: trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3Lib.csproj
===================================================================
--- trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3Lib.csproj	(revision 4306)
+++ trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3Lib.csproj	(revision 4306)
@@ -0,0 +1,104 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.50727</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.OKBLib</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.OKBLib</AssemblyName>
+    <ProjectTypeGuids>{3D9AD99F-2412-4246-B90B-4EAA41C64699};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
+    <StartArguments>/client:"WcfTestClient.exe"</StartArguments>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Data.Linq" />
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.ServiceModel" />
+    <Reference Include="System.Xml" />
+    <Reference Include="System.Xml.Linq" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="AdminService.cs" />
+    <Compile Include="AttributeSelector.cs" />
+    <Compile Include="DataService.cs" />
+    <Compile Include="ExperimentKit.cs" />
+    <Compile Include="Hoster.cs" />
+    <Compile Include="Interfaces\IAdminService.cs" />
+    <Compile Include="Interfaces\IDataService.cs" />
+    <Compile Include="Interfaces\IQueryService.cs" />
+    <Compile Include="Interfaces\IRunnerService.cs" />
+    <Compile Include="Interfaces\ITableService.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="QueryService.cs" />
+    <Compile Include="RunnerService.cs" />
+    <Compile Include="StarterKit.cs" />
+    <Compile Include="TableService.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="App.config" />
+    <None Include="Copy of App.config" />
+    <None Include="HeuristicLab.snk" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="libs\debug\log4net.dll" />
+    <None Include="libs\debug\log4net.pdb" />
+    <None Include="libs\debug\log4net.xml" />
+    <None Include="libs\release\log4net.dll" />
+    <None Include="libs\release\log4net.xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Services.OKB.AttributeSelection\3.3\HeuristicLab.Services.OKB.AttributeSelection-3.3.csproj">
+      <Project>{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}</Project>
+      <Name>HeuristicLab.Services.OKB.AttributeSelection-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Services.OKB.DataAccess\3.3\HeuristicLab.Services.OKB.DataAccess-3.3.csproj">
+      <Project>{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}</Project>
+      <Name>HeuristicLab.Services.OKB.DataAccess-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <ProjectExtensions>
+    <VisualStudio>
+      <FlavorProperties GUID="{3D9AD99F-2412-4246-B90B-4EAA41C64699}">
+        <WcfProjectProperties>
+          <AutoStart>False</AutoStart>
+        </WcfProjectProperties>
+      </FlavorProperties>
+    </VisualStudio>
+  </ProjectExtensions>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: trunk/sources/HeuristicLab.Services.OKB/3.3/app.config
===================================================================
--- trunk/sources/HeuristicLab.Services.OKB/3.3/app.config	(revision 4300)
+++ trunk/sources/HeuristicLab.Services.OKB/3.3/app.config	(revision 4306)
@@ -48,50 +48,6 @@
     <behaviors>
       <serviceBehaviors>
-        <behavior name="RunnerServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/RunnerMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
         <behavior name="AdminServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/AdminMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="TableServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/TableMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="QueryServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/QueryMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="DataServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/DataMex"/>
+          <serviceMetadata httpGetEnabled="true" />
           <serviceDebug includeExceptionDetailInFaults="true"/>
           <serviceAuthorization principalPermissionMode="UseAspNetRoles"
@@ -107,24 +63,14 @@
 
     <services>
-      <service behaviorConfiguration="RunnerServiceBehaviour" name="HeuristicLab.Services.OKB.RunnerService">
-        <endpoint address="http://localhost:8000/OKB/RunnerMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/RunnerService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IRunnerService">
-        </endpoint>
-      </service>
       <service behaviorConfiguration="AdminServiceBehaviour" name="HeuristicLab.Services.OKB.AdminService">
-        <endpoint address="http://localhost:8000/OKB/AdminMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/AdminService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IAdminService"/>
-      </service>
-      <service behaviorConfiguration="TableServiceBehaviour" name="HeuristicLab.Services.OKB.TableService">
-        <endpoint address="http://localhost:8000/OKB/TableMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/TableService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.ITableService"/>
-      </service>
-      <service behaviorConfiguration="QueryServiceBehaviour" name="HeuristicLab.Services.OKB.QueryService">
-        <endpoint address="http://localhost:8000/OKB/QueryMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/QueryService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IQueryService"/>
-      </service>
-      <service behaviorConfiguration="DataServiceBehaviour" name="HeuristicLab.Services.OKB.DataService">
-        <endpoint address="http://localhost:8000/OKB/DataMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/DataService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IDataService"/>
+        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="LargeMessages"
+          contract="HeuristicLab.Services.OKB.IAdminService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB/AdminService/" />
+            <add baseAddress="net.tcp://localhost:8733/OKB/AdminService/" />
+          </baseAddresses>
+        </host>
       </service>
     </services>