Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs	(revision 4317)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs	(revision 4318)
@@ -213,5 +213,4 @@
 
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>(OverloadsParameter.Name));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("BestOverload", null, BestOverloadParameter.Name));
 
       //tardiness
@@ -234,5 +233,4 @@
 
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>(TardinessValuesParameter.Name));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("BestTardiness", null, BestTardinessParameter.Name));
 
       //Distance
@@ -255,5 +253,4 @@
 
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>(DistancesParameter.Name));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("BestDistance", null, BestDistanceParameter.Name));
 
       //Travel Time
@@ -276,5 +273,4 @@
 
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>(TravelTimesParameter.Name));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("BestTravelTime", null, BestTravelTimeParameter.Name));
 
       //Vehicles Utlized
@@ -297,5 +293,4 @@
 
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>(VehiclesUtilizedValuesParameter.Name));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("BestVehiclesUtilized", null, BestVehiclesUtilizedParameter.Name));
       #endregion
 
Index: /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs
===================================================================
--- /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 4317)
+++ /branches/VRP/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 4318)
@@ -127,4 +127,11 @@
         BestSolutionParameter.ActualValue = solution;
         results.Add(new Result("Best VRP Solution", solution));
+
+        results.Add(new Result("Best VRP Solution TravelTime", new DoubleValue(travelTimes[i].Value)));
+        results.Add(new Result("Best VRP Solution Distance", new DoubleValue(distances[i].Value)));
+        results.Add(new Result("Best VRP Solution VehicleUtilization", new DoubleValue(vehiclesUtilizations[i].Value)));
+        results.Add(new Result("Best VRP Solution Overload", new DoubleValue(overloads[i].Value)));
+        results.Add(new Result("Best VRP Solution Tardiness", new DoubleValue(tardinesses[i].Value)));
+
       } else {
         if (qualities[i].Value <= solution.Quality.Value) {
@@ -132,9 +139,9 @@
           solution.Solution = best.Clone() as IVRPEncoding;
           solution.Quality.Value = qualities[i].Value;
-          solution.Distance.Value = distances[i].Value;
-          solution.Overload.Value = overloads[i].Value;
-          solution.Tardiness.Value = tardinesses[i].Value;
-          solution.TravelTime.Value = travelTimes[i].Value;
-          solution.VehicleUtilization.Value = vehiclesUtilizations[i].Value;
+          solution.Distance.Value = (results["Best VRP Solution Distance"].Value as DoubleValue).Value = distances[i].Value;
+          solution.Overload.Value = (results["Best VRP Solution Overload"].Value as DoubleValue).Value = overloads[i].Value;
+          solution.Tardiness.Value = (results["Best VRP Solution Tardiness"].Value as DoubleValue).Value = tardinesses[i].Value;
+          solution.TravelTime.Value = (results["Best VRP Solution TravelTime"].Value as DoubleValue).Value = travelTimes[i].Value;
+          solution.VehicleUtilization.Value = (results["Best VRP Solution VehicleUtilization"].Value as DoubleValue).Value = vehiclesUtilizations[i].Value;
           solution.DistanceMatrix = DistanceMatrixParameter.ActualValue;
           solution.UseDistanceMatrix = UseDistanceMatrixParameter.ActualValue;